mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Globalization.Calendar

The Hebrew calendar recognizes two eras: B.C.E. (before the common era) and A.M. (Latin "Anno Mundi", which means "the year of the world"). This implementation of the class recognizes only the current era (A.M.) and the Hebrew years 5343 to 5999 (1583 to 2239 in the Gregorian calendar).

For information about using the class and the other calendar classes in the .NET Framework, see Working with Calendars.

In every 19-year cycle that ends with a year that is evenly divisible by 19, the 3rd, 6th, 8th, 11th, 14th, 17th, and 19th years are leap years. A common year can have from 353 to 355 days, depending on the placement of Jewish holidays. A leap year can have from 383 to 385 days.

The Hebrew calendar has 12 months during common years and 13 months during leap years:

GetMonth value (common year)

GetMonth value (leap year)

Month

Days in common years

Days in leap years

1

1

תשרי (Tishrei)

30

30

2

2

חשון (Cheshvan)

29/30

29/30

3

3

כסלו (Kislev)

29/30

29/30

4

4

טבת (Tevet)

29

29

5

5

שבט (Shevat)

30

30

6

-

אדר (Adar)

29

-

-

6

אדר א (Adar Alef)

-

30

-

7

אדר ב (Adar Beit)

-

29

7

8

ניסן (Nissan)

30

30

8

9

אייר (Iyar)

29

29

9

10

סיון (Sivan)

30

30

10

11

תמוז (Tamuz)

29

29

11

12

אב (Av)

30

30

12

13

אלול (Elul)

29

29

The days in Cheshvan and Kislev vary depending on the placement of Jewish holidays. During leap years, Adar is replaced by Adar Alef with 30 days and Adar Beit with 29 days. Adar Alef is considered the leap month. The last day of Adar Alef and all the days in Adar Beit are considered leap days; that is, the method returns true for these days.

The date January 1, 2001 A.D. in the Gregorian calendar is equivalent to the sixth day of Tevet in the year 5761 A.M. in the Hebrew calendar.

Each supports a set of calendars. The property returns the default calendar for the culture, and the property returns an array containing all the calendars supported by the culture. To change the calendar used by a , the application should set the property of to a new .

Represents the Hebrew calendar.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DateTime `` ``

  This implementation of the class recognizes only the Hebrew years 5343 to 5999 (1583 to 2239 in the Gregorian calendar).

  The day part of the resulting is affected if the resulting day is not a valid day in the resulting month of the resulting year. It is changed to the last valid day in the resulting month of the resulting year. The year part of the resulting is affected if the resulting month is outside the year of the specified . This implementation supports only the current era. Therefore, is thrown if the resulting year is outside the era of the specified . The time-of-day part of the resulting remains the same as the specified .

  For example, if the specified month is Av, which has 30 days, the specified day is the 30th day of that month, and the value of the parameter is 5, the resulting year is one more than the specified year, the resulting month is Tevet, and the resulting day is the 29th day, which is the last day in Tevet.

  If the value of the parameter is negative, the resulting is earlier than the specified .

  The property of the returned value always equals . You can preserve the property of the parameter by calling the method, as the following example shows.

  code reference: System.Globalization.Calendar.AddMethods#5

  Returns a that is the specified number of months away from the specified .

  The that results from adding the specified number of months to the specified .

  The to which to add . The number of months to add.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DateTime `` ``

  This implementation of the class recognizes only the Hebrew years 5343 to 5999 (1583 to 2239 in the Gregorian calendar).

  The day part of the resulting is affected if the resulting day is not a valid day in the resulting month of the resulting year. It is changed to the last valid day in the resulting month of the resulting year. For example, Cheshvan can have 29 or 30 days, depending on the placement of Jewish holidays. Suppose that Cheshvan has 30 days in the current year and 29 in the following year. If the specified date is the 30th day of Cheshvan in the current year and the value of is 1, the resulting date will be the 29th day of Cheshvan in the following year.

  The month part of the resulting is affected if the resulting month is not a valid month in the resulting year. It is changed to the last valid month in the resulting year. For example, if the month in the parameter is the 13th month of a leap year and the value of is 1, the month in the resulting is the 12th month of the following year, which is a non-leap year. Note that even when the month part does not change, it might still refer to a different month. For example, Adar Beit is the 7th month in leap years, but Nissan is the 7th month in common years.

  This implementation supports only the current era. Therefore, is thrown if the resulting year is outside the era of the specified .

  The time-of-day part of the resulting remains the same as the specified .

  If is negative, the resulting is earlier than the specified .

  The property of the returned value always equals . You can preserve the property of the parameter by calling the method, as the following example shows.

  code reference: System.Globalization.Calendar.AddMethods#8

  Returns a that is the specified number of years away from the specified .

  The that results from adding the specified number of years to the specified .

  The to which to add . The number of years to add.
- Property
  2.0.0.0
  4.0.0.0
  System.Globalization.CalendarAlgorithmType To be added. To be added.

  Gets a value that indicates whether the current calendar is solar-based, lunar-based, or a combination of both.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32[] To be added.

  The Hebrew calendar recognizes two eras: B.C.E. (before the common era) and A.M. (Latin "Anno Mundi", which means "the year of the world"). This implementation of the class recognizes only the current era (A.M.). This property always returns an array with only one element.

  Gets the list of eras in the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added.

  Returns the day of the month in the specified .

  An integer from 1 to 30 that represents the day of the month in the specified .

  The to read.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DayOfWeek ``

  The values are as follows:

  DayOfWeek value

  Day of Week

  Sunday

  יום ראשון (Yom Rishon)

  Monday

  יום שני (Yom Sheni)

  Tuesday

  יום שלישי (Yom Shlishi)

  Wednesday

  יום רביעי (Yom Reviee)

  Thursday

  יום חמישי (Yom Chamishi)

  Friday

  יום שישי (Yom Shishi)

  Saturday

  שבת (Shabat)

  Returns the day of the week in the specified .

  A value that represents the day of the week in the specified .

  The to read.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  The day of the year is defined as the number of days from the first day of the year. For example, for the first day of the first month returns 1, and for the last day of the last month returns the total number of days in that year, which is the same value returned by .

  This implementation of the class recognizes only the Hebrew years 5343 to 5999 (1583 to 2239 in the Gregorian calendar).

  Returns the day of the year in the specified .

  An integer from 1 to 385 that represents the day of the year in the specified .

  The to read.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` ``

  For example, this method returns 29 or 30 for Cheshvan, depending on the placement of Jewish holidays.

  This implementation of the class recognizes only the Hebrew years 5343 to 5999 (1583 to 2239 in the Gregorian calendar).

  Returns the number of days in the specified month in the specified year in the specified era.

  The number of days in the specified month in the specified year in the specified era.

  An integer that represents the year. An integer from 1 to 13 that represents the month. An integer that represents the era. Specify either or Calendar.Eras[Calendar.CurrentEra].
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` ``

  For example, this method returns an integer from 353 to 355 or from 383 to 385, depending on the placement of Jewish holidays and depending on whether is a leap year.

  This implementation of the class recognizes only the Hebrew years 5343 to 5999 (1583 to 2239 in the Gregorian calendar).

  Returns the number of days in the specified year in the specified era.

  The number of days in the specified year in the specified era.

  An integer that represents the year. An integer that represents the era. Specify either or HebrewCalendar.Eras[Calendar.CurrentEra].
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  The Hebrew calendar recognizes two eras: B.C.E. (before the common era) and A.M. (Latin "Anno Mundi", which means "the year of the world"). This implementation of the class recognizes only the current era (A.M.) and only the Hebrew years 5343 to 5999 (1583 to 2239 in the Gregorian calendar).

  Returns the era in the specified .

  An integer that represents the era in the specified . The return value is always .

  The to read.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` ``

  In a calendar that supports the notion of a leap month, the leap month can occur either after a particular month or after any month in a year. For example, the method returns a number between 1 and 13 that indicates the month associated with a specified date. If there is a leap month between the eighth and ninth months of the year, the method returns 8 for the eighth month, 9 for the leap eighth month, and 10 for the ninth month.

  Calculates the leap month for a specified year and era.

  A positive integer that indicates the leap month in the specified year and era. The return value is 7 if the and parameters specify a leap year, or 0 if the year is not a leap year.

  A year. An era. Specify either or HebrewCalendar.Eras[Calendar.CurrentEra].
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added.

  Returns the month in the specified .

  An integer from 1 to 13 that represents the month in the specified .

  The to read.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` ``

  This implementation of the class recognizes only the Hebrew years 5343 to 5999 (1583 to 2239 in the Gregorian calendar).

  Returns the number of months in the specified year in the specified era.

  The number of months in the specified year in the specified era. The return value is either 12 in a common year, or 13 in a leap year.

  An integer that represents the year. An integer that represents the era. Specify either or HebrewCalendar.Eras[Calendar.CurrentEra].
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  This implementation of the class recognizes only the Hebrew years 5343 to 5999 (1583 to 2239 in the Gregorian calendar).

  Returns the year in the specified value.

  An integer that represents the year in the specified value.

  The to read.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 1

  The value of this field is 1.

  The Hebrew calendar recognizes two eras: B.C.E. (before the common era) and A.M. (Latin "Anno Mundi", which means "the year of the world"). This implementation of the class recognizes only the current era (A.M.).

  Represents the current era. This field is constant.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` `` ``

  This implementation of the class recognizes only the Hebrew years 5343 to 5999 (1583 to 2239 in the Gregorian calendar).

  In every 19-year cycle that ends with a year that is evenly divisible by 19, the 3rd, 6th, 8th, 11th, 14th, 17th, and 19th years are leap years. A common year can have from 353 to 355 days, depending on the placement of Jewish holidays. A leap year can have from 383 to 385 days.

  A leap day is a day that occurs only in a leap year. In the Hebrew calendar, the last day of Adar Alef and all the days in Adar Beit are considered leap days.

  Determines whether the specified date in the specified era is a leap day.

  true if the specified day is a leap day; otherwise, false.

  An integer that represents the year. An integer from 1 to 13 that represents the month. An integer from 1 to 30 that represents the day. An integer that represents the era. Specify either or HebrewCalendar.Eras[Calendar.CurrentEra]..
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` ``

  This implementation of the class recognizes only the Hebrew years 5343 to 5999 (1583 to 2239 in the Gregorian calendar).

  In every 19-year cycle that ends with a year that is evenly divisible by 19, the 3rd, 6th, 8th, 11th, 14th, 17th, and 19th years are leap years. A common year can have from 353 to 355 days, depending on the placement of Jewish holidays. A leap year can have from 383 to 385 days.

  A leap month is an entire month that occurs only in a leap year. In the Hebrew calendar, Adar Beit is the only leap month.

  Determines whether the specified month in the specified year in the specified era is a leap month.

  true if the specified month is a leap month; otherwise, false.

  An integer that represents the year. An integer from 1 to 13 that represents the month. An integer that represents the era. Specify either or HebrewCalendar.Eras[Calendar.CurrentEra].
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  This implementation of the class recognizes only the Hebrew years 5343 to 5999 (1583 to 2239 in the Gregorian calendar).

  In every 19-year cycle that ends with a year that is evenly divisible by 19, the 3rd, 6th, 8th, 11th, 14th, 17th, and 19th years are leap years. A common year can have from 353 to 355 days, depending on the placement of Jewish holidays. A leap year can have from 383 to 385 days.

  Determines whether the specified year in the specified era is a leap year.

  true if the specified year is a leap year; otherwise, false.

  An integer that represents the year. An integer that represents the era. Specify either or HebrewCalendar.Eras[Calendar.CurrentEra].
- Property
  2.0.0.0
  4.0.0.0
  System.DateTime To be added. To be added.

  Gets the latest date and time supported by the type.

- Property
  2.0.0.0
  4.0.0.0
  System.DateTime To be added.

  Microsoft Visual Basic represents time of day as the specified time on the minimum date supported by the type, which is January 1, 0001 C.E. However, the type does not support that minimum date. Consequently, if you call a method to format the time of day using the current calendar but you do not specify a format specifier, formatting uses the ISO 8601 sortable ("s") date/time pattern format specifier instead of the default general ("G") date/time pattern format specifier. For more information, see Standard DateTime Format Strings.

  Gets the earliest date and time supported by the type.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DateTime `` `` `` `` `` `` `` ``

  The method is useful because it can convert any date in the current calendar to a Gregorian calendar date. The Gregorian date can subsequently be used, for example, to compare dates in different calendars or create an equivalent date in a particular calendar.

  This implementation of the class recognizes only the Hebrew years 5343 to 5999 (1583 to 2239 in the Gregorian calendar).

  Returns a that is set to the specified date and time in the specified era.

  The that is set to the specified date and time in the current era.

  An integer that represents the year. An integer from 1 to 13 that represents the month. An integer from 1 to 30 that represents the day. An integer from 0 to 23 that represents the hour. An integer from 0 to 59 that represents the minute. An integer from 0 to 59 that represents the second. An integer from 0 to 999 that represents the millisecond. An integer that represents the era. Specify either or HebrewCalendar.Eras[Calendar.CurrentEra].
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  The method uses the parameter, the property, and a year to calculate a 4-digit year. The century is determined by finding the sole occurrence of the parameter within that 100-year range. For example, if is set to 5729, the 100-year range is from 5630 to 5729. Therefore, a value of 30 is interpreted as 5630, while a value of 29 is interpreted as 5729.

  If the property has the special value 99, the method ignores the settings in the regional and language options in Control Panel and returns the value of the parameter unchanged.

  supports either a two-digit year or a four-digit year. Passing a two-digit year value (less than 100) causes the method to convert the value to a four-digit value according to the value representing the appropriate century. If the application supplies a four-digit year value that is within the supported calendar range to , the method returns the actual input value. If the application supplies a four-digit value that is outside the supported calendar range, or if it supplies a negative value, the method throws an exception.

  Converts the specified year to a 4-digit year by using the property to determine the appropriate century.

  If the parameter is a 2-digit year, the return value is the corresponding 4-digit year. If the parameter is a 4-digit year, the return value is the unchanged parameter.

  A 2-digit year from 0 through 99, or a 4-digit Hebrew calendar year from 5343 through 5999.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  The property allows a 2-digit year to be properly translated to a 4-digit year. For example, if this property is set to 5729, the 100-year range is from 5630 to 5729. Therefore, a 2-digit value of 30 is interpreted as 5630, while a 2-digit value of 29 is interpreted as 5729.

  The initial value of this property is derived from the settings in the regional and language options portion of Control Panel. If the initial system setting changes during the life of your application the class does not automatically detect the change.

  The special value 99 causes the method to ignore the system settings and return the specified year unchanged.

  Gets or sets the last year of a 100-year range that can be represented by a 2-digit year.